char getline_c_rcs_id [] =
	"$Id: getline.c,v 1.3 1998/10/02 22:37:10 hjp Exp $";
/*** function getline
 *
 * Purpose: read one line from file
 * Algorithm:	characters are read from fp until EOF or '\n' is read
 *		space is malloced as needed, the line terminator '\n' is
 *		replaced by '\0'.
 *		The string is reused on the next call to getline!
 * Ideas:	The function could easily return the length of the line
 *		It might be better to use a user-supplied buffer, but how
 *		do we grow it? Pass both a char ** and the current size?
 *		use Alex' list package?
 *
 * $Log: getline.c,v $
 * Revision 1.3  1998/10/02 22:37:10  hjp
 * Added base64 routines.
 *
 */

#include <ant/alloc.h>
#include <ant/io.h>

char *getline (FILE *fp) {
	static	char	*line = NULL;
	static	int	maxline = 0;
	auto	int	i = 0;
	auto	int	c;

	while ((c = getc (fp)) != EOF && c != '\n') {
		if (i >= maxline) {
			maxline = (maxline * 3 / 2 + 1);
			line = erealloc (line, maxline);
		}
		line[i++] = c;
	}
	if (i >= maxline) {
		maxline = (maxline * 3 / 2 + 1);
		line = erealloc (line, maxline);
	}
	line[i] = '\0';
	if (feof(fp) || ferror(fp)) {
		return NULL;
	} else {
		return line;
	}
}
