char strdup_c_rcs_id [] = 
	"$Id: strdup.c,v 1.2 2000/06/04 16:07:43 hjp Exp $";
/*
 * Function:	strdup 
 * Purpose:	duplicate string on the heap and return pointer to it.
 * In:		s	String to be duplicated
 * Returns:	Pointer to duplicated string or NULL, if not enough 
 *		space for new string.
 *
 * $Log: strdup.c,v $
 * Revision 1.2  2000/06/04 16:07:43  hjp
 * da.h: fixed initialisation error in DA_MKIND_INI, which would leave most
 * 	elements undefined.
 * strdup.h: Don't define strdup if it is a macro.
 *
 * Revision 1.1.1.1  1995/05/19 18:42:31  hjp
 * Imported from Minix. We'll see where main development will be ...
 *
 * Revision 1.1  1992/05/24  12:43:51  hjp
 * Initial revision
 *
 */
#include <stdlib.h>
#include <string.h>
#include <ant/string.h>

#ifndef strdup

	char *
strdup (s)
	const char *s;
{
	size_t	l = strlen (s) + 1;
	char	*d = malloc (l);

	if (! d) return d;
	(void) memcpy (d, s, l);
	return d;
}

#endif
